Klineo/Docs
Open app ↗

API v1 reference

v1 · Projects and public discovery

Paths on this page are relative to /api/liquidity-studio/v1. Authentication and required headers vary by operation.

API reference overview · OpenAPI download

Operations on this page#

Method Path Operation
POST /projects postProjects
GET /projects/{projectId} getProjectsByProjectId
POST /projects/{projectId}/eligibility-assessments postProjectsByProjectIdEligibilityAssessments
POST /projects/{projectId}/data-room/uploads postProjectsByProjectIdDataRoomUploads
POST /projects/{projectId}/lifecycle-transitions postProjectsByProjectIdLifecycleTransitions

postProjects#

POST /projects

Operation ID: postProjects

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
Idempotency-Key header Yes string Min length: 8; Max length: 163

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
name Yes string Min length: 2; Max length: 80
projectToken Yes string Pattern: ^0x[0-9a-fA-F]{40}$
quoteToken Yes string Pattern: ^0x[0-9a-fA-F]{40}$
quoteProfile Yes string Allowed: USDT, WBOT
ownerSafe Yes string Pattern: ^0x[0-9a-fA-F]{40}$
poolAddress Yes string Pattern: ^0x[0-9a-fA-F]{40}$
launchContext Yes string Allowed: PRE_TGE, POST_LAUNCH
strategy Yes object Additional properties rejected
strategy.kind Yes string Allowed: BOOTSTRAP, MAINTAIN, DIVERSIFY
strategy.version Yes string Min length: 1; Max length: 80
strategy.targetInventoryPips Yes integer Minimum: 0; Maximum: 1000000
strategy.rebalanceThresholdPips Yes integer Minimum: 0; Maximum: 1000000
strategy.quoteReserveFloor Yes string Pattern: ^(0|[1-9][0-9]*)$
strategy.maxCandidateAmount Yes string Pattern: ^[1-9][0-9]*$
strategy.rangeWidthTicks Yes integer Maximum: 1774544; Exclusive minimum: 0
strategy.diversificationTriggerPips Yes integer Minimum: 0; Maximum: 1000000
strategy.diversificationMandate No object Additional properties rejected
strategy.diversificationMandate.executionMode Yes Constant ISSUER_SAFE_APPROVAL_ONLY —
strategy.diversificationMandate.totalTokenSaleCap Yes string Pattern: ^(0|[1-9][0-9]*)$
strategy.diversificationMandate.dailyTokenSaleCap Yes string Pattern: ^(0|[1-9][0-9]*)$
strategy.diversificationMandate.hourlyTokenSaleCap Yes string Pattern: ^(0|[1-9][0-9]*)$
strategy.diversificationMandate.maximumOrganicVolumeParticipationPips Yes integer Minimum: 1; Maximum: 1000000
strategy.diversificationMandate.minimumSalePriceX18 Yes string Pattern: ^(0|[1-9][0-9]*)$
strategy.diversificationMandate.minimumRetainedTokenBalance Yes string Pattern: ^(0|[1-9][0-9]*)$
strategy.diversificationMandate.targetProtectedQuoteReserve Yes string Pattern: ^(0|[1-9][0-9]*)$
strategy.diversificationMandate.validUntil Yes string Format: date-time
strategy.diversificationMandate.proceedsRule Yes Constant PROTECTED_QUOTE_RESERVE —
strategy.diversificationMandate.repurchaseAllowed Yes Constant false —
strategy.diversificationMandate.unlockDisclosureArtifactHash Yes string Pattern: ^0x[0-9a-fA-F]{64}$
strategy.diversificationMandate.insiderWalletDisclosureArtifactHash Yes string Pattern: ^0x[0-9a-fA-F]{64}$
strategy.diversificationMandate.publicReportingMode Yes string Allowed: PRIVATE, ISSUER_APPROVED_PUBLIC
qualification Yes object Additional properties rejected
qualification.legalEntityName Yes string Min length: 2; Max length: 200
qualification.projectName Yes string Min length: 2; Max length: 160
qualification.maximumDeployableTokenAtomic Yes string Pattern: ^(0|[1-9][0-9]*)$
qualification.maximumDeployableQuoteAtomic Yes string Pattern: ^(0|[1-9][0-9]*)$
qualification.protectedQuoteReserveAtomic Yes string Pattern: ^(0|[1-9][0-9]*)$
qualification.reserveRationale Yes string Min length: 12; Max length: 1000
qualification.executionRecipientPolicy Yes Constant IMMUTABLE_VAULT_ONLY —
qualification.exitRecipient Yes string Pattern: ^0x[0-9a-fA-F]{40}$
qualification.intendedPolicyTerm Yes object Additional properties rejected
qualification.intendedPolicyTerm.validAfter Yes string Format: date-time
qualification.intendedPolicyTerm.validUntil Yes string Format: date-time
qualification.contacts Yes Array of object Min items: 2; Max items: 12
qualification.contacts[].kind Yes string Allowed: OPERATIONS, EMERGENCY, GOVERNANCE
qualification.contacts[].name Yes string Min length: 2; Max length: 120
qualification.contacts[].email Yes string Format: email; Max length: 254
qualification.contacts[].responseWindowMinutes Yes integer Minimum: 1; Maximum: 10080
qualification.launch Yes object Additional properties rejected
qualification.launch.launchDate Yes string Format: date-time
qualification.launch.unlockScheduleArtifactHash Yes string Pattern: ^0x[0-9a-fA-F]{64}$
qualification.tokenDisclosureArtifactHash Yes string Pattern: ^0x[0-9a-fA-F]{64}$
qualification.governanceApprovalArtifactHash Yes string Pattern: ^0x[0-9a-fA-F]{64}$
qualification.dataRoom Yes object Additional properties rejected
qualification.dataRoom.termsVersion Yes string Min length: 1; Max length: 120
qualification.dataRoom.termsSource Yes string Min length: 3; Max length: 500
qualification.dataRoom.acceptedAt Yes string Format: date-time
qualification.desiredOutcomes Yes Array of string Min items: 1; Max items: 20
qualification.prohibitedBehaviors Yes Array of string Min items: 1; Max items: 20
qualification.referenceVenueIds Yes Array of string Min items: 1; Max items: 20
qualification.oracleSourceAddresses Yes Array of string Min items: 2; Max items: 2
reason Yes string Min length: 12; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

getProjectsByProjectId#

GET /projects/{projectId}

Operation ID: getProjectsByProjectId

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
projectId path Yes string Min length: 1

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postProjectsByProjectIdEligibilityAssessments#

POST /projects/{projectId}/eligibility-assessments

Operation ID: postProjectsByProjectIdEligibilityAssessments

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
projectId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
reason Yes string Min length: 12; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postProjectsByProjectIdDataRoomUploads#

POST /projects/{projectId}/data-room/uploads

Operation ID: postProjectsByProjectIdDataRoomUploads

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
projectId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163

Request body#

Required: yes.

application/json

DataRoomUploadRequest

Responses#

Status Description Content type and schema
201 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

201 application/json body

object

Field Required at this level Type Description and constraints
data Yes DataRoomUploadResponse —

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

postProjectsByProjectIdLifecycleTransitions#

POST /projects/{projectId}/lifecycle-transitions

Operation ID: postProjectsByProjectIdLifecycleTransitions

Authentication: __Host-klineo_session cookie (sessionCookie)

Parameters#

Name Location Required Type Description and constraints
projectId path Yes string Min length: 1
Idempotency-Key header Yes string Min length: 8; Max length: 163
If-Match header Yes string One quoted strong entity tag for the exact aggregate version reviewed by the actor. Pattern: ^"[^"\\\r\n]+"$; Min length: 3

Request body#

Required: yes.

application/json

object — Additional properties rejected

Field Required at this level Type Description and constraints
to Yes string Allowed: LEAD, QUALIFIED, DATA_ROOM, SIMULATED, POLICY_DRAFT, TESTNET, SHADOW, FUND_READY, LIVE_CAPPED, LIVE_EXPANDED
reason Yes string Min length: 3; Max length: 500

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.

Responses#

Status Description Content type and schema
200 Successful response application/json: object
default Structured API error application/json: ApiErrorEnvelope

200 application/json body

object

Field Required at this level Type Description and constraints
data Yes object The typed runtime domain record returned by this operation. Additional properties allowed

Nested required fields apply when their parent object or matching union branch is present. Named types link to their complete schema.